x64 3.0 failing to protect DLL

x64 version issues
Post Reply
EddieT
Posts: 5
Joined: Fri Sep 28, 2012 8:08 pm

x64 3.0 failing to protect DLL

Post by EddieT » Mon Dec 24, 2012 12:53 am

Hi,
I have just tried to protect my 64-bit DLLs with Enigma V3.0 for the first time and it is failing after Search Markers with
ERROR: Unexpected exception: Invalid pointer operation.

Enigma64 then crashes.

I downloaded the latest version 3.120 and the behaviour is the same.

Help appreciated !

EddieT
Posts: 5
Joined: Fri Sep 28, 2012 8:08 pm

Re: x64 3.0 failing to protect DLL

Post by EddieT » Mon Dec 24, 2012 3:15 am

Reverting back to 3.80 has fixed my problem, so I can only assume there is a problem with Enigma starting with version 3.100

If you want, I can send you the protection file and DLL so you can sort this out. In the meantime I will be sticking with 3.80.

Enigma
Site Admin
Posts: 2508
Joined: Wed Aug 20, 2008 2:24 pm

Re: x64 3.0 failing to protect DLL

Post by Enigma » Mon Dec 24, 2012 7:20 am

Hi Eddie,

This is known problem, new version will be soon released.

Meanwhile, I have sent you bug fixed intermediate version to PM. This version is also working well.

EddieT
Posts: 5
Joined: Fri Sep 28, 2012 8:08 pm

Re: x64 3.0 failing to protect DLL

Post by EddieT » Mon Dec 24, 2012 8:58 am

Excellent. The new version is working perfectly.

Thanks Enigma! If thats your real name... ;)

Enigma
Site Admin
Posts: 2508
Joined: Wed Aug 20, 2008 2:24 pm

Re: x64 3.0 failing to protect DLL

Post by Enigma » Mon Dec 24, 2012 1:32 pm

No problems, let me know if you will also have any issues!

taki010
Posts: 1
Joined: Tue Jan 22, 2013 7:30 pm

Re: x64 3.0 failing to protect DLL

Post by taki010 » Tue Jan 22, 2013 7:49 pm

Hello , Im new here . . This the enigma protector can use For RYL2 (Private server) TQ

Enigma
Site Admin
Posts: 2508
Joined: Wed Aug 20, 2008 2:24 pm

Re: x64 3.0 failing to protect DLL

Post by Enigma » Thu Jan 24, 2013 7:55 am

taki010 wrote:Hello , Im new here . . This the enigma protector can use For RYL2 (Private server) TQ
You should use Enigma Protector x86 version for it's protection, but not x64 version.

Post Reply